// Code generated by mockery v2.10.2. DO NOT EDIT.

package mocks

import (
	mock "github.com/stretchr/testify/mock"
	models "gitlab.com/nikita.morozov/bot-ms-core/models"
)

// AsyncExecutor is an autogenerated mock type for the AsyncExecutor type
type AsyncExecutor struct {
	mock.Mock
}

// FinishExecutionWithParams provides a mock function with given fields: context, scenarioActionId, data
func (_m *AsyncExecutor) FinishExecutionWithParams(context string, scenarioActionId uint, data models.NodeData) error {
	ret := _m.Called(context, scenarioActionId, data)

	var r0 error
	if rf, ok := ret.Get(0).(func(string, uint, models.NodeData) error); ok {
		r0 = rf(context, scenarioActionId, data)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}
